#!/bin/bash

#color definition
color_reset="\033[m"
color_msg_text="\033[35m"
color_msg_border="\033[33m"

#$1 - message
function msg() {
	printf "${color_msg_border}╔"
	for ((z=0;z<${#1};z++)) ; do
		printf "═"
	done
	printf "══╗\n║${color_msg_text} $1 ${color_msg_border}║\n╚══"
		for ((z=0;z<${#1};z++)) ; do
		printf "═"
	done
	printf "╝\n${color_reset}"
}

# $1 - promt name, $2 command on yes
function ask() {
	local ret
	read -p "do you want to install $1?" ret
	if [ "$ret" == "y" ]; then
		eval $2
	fi
}

msg "MrBesen's Setuptool"

toinstall="wget compizconfig-settings-manager compiz-plugins-extra compiz-plugins-default unity-tweak-tool vlc screen htop espeak mumble ffmpeg nethogs virtualbox openjdk-8-jdk wine playonlinux sox imagemagick filezilla openssh-server samba libdvdcss2 clipit plasma-nm conky arp-scan pavucontrol paprefs python-pip maven duplicity python3.5 qemu-kvm nmap mediainfo ocl-icd-libopencl1 clinfo keepassxc opencl-headers kdenlive make git gedit-plugins iotop iftop indicator-multiload mysql-workbench speedtest psensor golang-go chromium-browser unrar rar python-setuptools gparted gimp ghex inxi valgrind python3-pip trickle audacity";

ask "arc-theme" 'echo "\n" | add-apt-repository ppa:noobslab/themes; toinstall="$toinstall arc-theme"'
ask "simple screen recorder" 'echo "\n" | add-apt-repository ppa:maarten-baert/simplescreenrecorder ; toinstall="$toinstall libavcodec-extra simplescreenrecorder simplescreenrecorder-lib:i386"'
ask "variety" 'echo "\n" > add-apt-repository ppa:peterlevi/ppa; toinstall="$toinstall variety"'
ask "libdvdcss2" 'echo "deb http://download.videolan.org/pub/debian/stable/ /" >> /etc/apt/sources.list; echo "deb-src http://download.videolan.org/pub/debian/stable/ /" >> /etc/apt/sources.list; wget -O - http://download.videolan.org/pub/debian/videolan-apt.asc | sudo apt-key add -'

msg "Update"
apt update

msg "install"
apt install $toinstall

addgroup yannis kvm 

ask "FAH" 'mkdir -p /tmp/download/; cd /tmp/download/;wget https://download.foldingathome.org/releases/public/release/fahclient/debian-stable-64bit/v7.5/fahclient_7.5.1_amd64.deb https://download.foldingathome.org/releases/public/release/fahcontrol/debian-stable-64bit/v7.5/fahcontrol_7.5.1-1_all.deb https://download.foldingathome.org/releases/public/release/fahviewer/debian-stable-64bit/v7.5/fahviewer_7.5.1_amd64.deb;sudo dpkg -i fah*.deb;cd ~;rm -r /tmp/download/'

ask "youtube-dl" 'wget https://yt-dl.org/downloads/latest/youtube-dl -O /usr/local/bin/youtube-dl; chmod a+rx /usr/local/bin/youtube-dl'

ask "pycharm" 'snap install pycharm-community --classic'

msg "upgrade"
apt upgrade

ask "fstab" 'echo fstab >> /etc/fstab; mount -a'

msg "Done"
echo "please restart!"
